Skip to content

Retrieve a Help Center

Request

You can fetch the details of a single Help Center by making a GET request to https://api.intercom.io/help_center/help_center/<id>.

Security
bearerAuth
Path
idintegerrequired

The unique identifier for the collection which is given by Intercom.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
curl -i -X GET \
  https://api.intercom.io/help_center/help_centers/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.9'

Responses

Collection found

Bodyapplication/json
idstring

The unique identifier for the Help Center which is given by Intercom.

Example:"123"
workspace_idstring

The id of the workspace which the Help Center belongs to.

Example:"hfi1bx4l"
created_atinteger, (date-time)

The time when the Help Center was created.

Example:1672928359
updated_atinteger, (date-time)

The time when the Help Center was last updated.

Example:1672928610
identifierstring

The identifier of the Help Center. This is used in the URL of the Help Center.

Example:"intercom"
website_turned_onboolean

Whether the Help Center is turned on or not. This is controlled in your Help Center settings.

Example:true
display_namestring

The display name of the Help Center only seen by teammates.

Example:"Intercom Help Center"
urlstring

The URL for the help center, if you have a custom domain then this will show the URL using the custom domain.

Example:"https://intercom.help/mycompany"
custom_domainstring or null

Custom domain configured for the help center

Example:"help.mycompany.com"
Response
{ "id": "103", "workspace_id": "this_is_an_id91_that_should_be_at_least_4", "created_at": 1717021361, "updated_at": 1717021361, "identifier": "help-center-1", "website_turned_on": false, "display_name": "Intercom Help Center", "url": "https://help.mycompany.com", "custom_domain": "help.mycompany.com" }